server {
      #listen 9001 ssl;
	  listen 9001;
      
      client_max_body_size 6M;

      root /usr/share/nginx/html;
      index index.html;

      server_name localhost;
      #ssl_certificate /etc/nginx/ssl/nginx-cmsgw-uat.crt;
      #ssl_certificate_key /etc/nginx/ssl/nginx-cmsgw-uat.key; 
      #for swagger
      proxy_set_header  Host $http_host;
      proxy_set_header  X-Real-IP $remote_addr;

     #disable swagger
     # location ~ \.html$
     # {
     #   return 404;
     # }
	 
	location ~ /actuator/ {
		return 404;
	}

	location /eFiling-api/efilingcourtregister/ {
		proxy_pass http://register-api.efiling-sit:8286/eFiling-api/efilingcourtregister/;
	}

	location /eFiling-api/efilingcourtauthen/ {
		proxy_pass http://authen-api.efiling-sit:8288/eFiling-api/efilingcourtauthen/;
	}

	location /eFiling-api/efilingcourtconfig/ {
		proxy_pass http://config-api.efiling-sit:8287/eFiling-api/efilingcourtconfig/;
	}

	location /eFiling-api/efilingcourtfilemanager/ {
		proxy_pass http://file-manager-api.efiling-sit:8285/eFiling-api/efilingcourtfilemanager/;
	}

	#location /eFiling-api/efilingcourtnotigateway/ {
	#	proxy_pass http://notigateway-api.efiling-sit:8289/eFiling-api/efilingcourtnotigateway/;
	#}

	location /eFiling-api/efilingcourttransaction/ {
		proxy_pass http://transaction-api.efiling-sit:8292/eFiling-api/efilingcourttransaction/;
	}

	location /eFiling-api/efilingreport/ {
		proxy_pass http://report-api.efiling-sit:8290/eFiling-api/efilingreport/;
	}

	location /eFiling-api/efilingcourtadmin/ {
		proxy_pass http://admin-api.efiling-sit:8293/eFiling-api/efilingcourtadmin/;
	}

	location /eFiling-api/efilingcourtsubstance/ {
		proxy_pass http://substance-api.efiling-sit:8294/eFiling-api/efilingcourtsubstance/;
	}

	location /eFiling-api/efilingcourtvoidpayment/ {
		proxy_pass http://void-payment-api.efiling-sit:8293/eFiling-api/efilingcourtvoidpayment/;
	}

        location /eFiling-api/efilingcourtrecrimination/ {
                proxy_pass http://recrimination-api.efiling-sit:8080/eFiling-api/efilingcourtrecrimination/;
        }

	location /eFiling-api/efilingcourtpayment/ {
		proxy_pass http://payment-api.efiling-sit:8291/eFiling-api/efilingcourtpayment/;
	}

	location /eFiling-api/efilinguploadnotified/ {
		proxy_pass http://upload-notified-api.efiling-sit:8298/eFiling-api/efilinguploadnotified/;
	}

	location /eFiling-api/efilingaddindict/ {
		proxy_pass http://addi-indict-api.efiling-sit:8299/eFiling-api/efilingaddindict/;
	}

	location /eFiling-api/efilingappointdefendantlawyer/ {
		proxy_pass http://appoint-defendant-lawyer-api.efiling-sit:8300/eFiling-api/efilingappointdefendantlawyer/;
	}

	location /eFiling-api/efilingdefendantdeclar/ {
		proxy_pass http://defendantdeclar-api.efiling-sit:8484/eFiling-api/efilingdefendantdeclar/;
	}

	location /eFiling-api/efilingreportadmin/ {
		proxy_pass http://report-admin-api.efiling-sit:8296/eFiling-api/efilingreportadmin/;
	}

        location /eFiling-api/efilingcourtfilemanager2/ {
                proxy_pass http://file-manager-2-api.efiling-sit:8285/eFiling-api/efilingcourtfilemanager/;
        }



}